%define name fillets-ng
%define version 0.8.0 
%define release %mkrel 1 
%define binname fillets

Summary:	Fish Fillets: The Next Generation is a port of the 2d puzzle game Fish Fillets by ALTAR Interactive to Linux
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Games/Puzzles
Source:		%{name}-%{version}.tar.bz2
Source1:	fillets-ng-16.png
Source2:	fillets-ng-32.png
Source3:	fillets-ng-48.png
Patch0:		datadirsearchlocation.patch
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://fillets.sourceforge.net/
BuildRequires:	libSDL1.2-devel
BuildRequires:  libSDL_image1.2-devel
BuildRequires:  libSDL_mixer1.2-devel
BuildRequires:  libSDL_ttf2.0-devel
BuildRequires:	liblua5.0-devel

Requires:	liblua5.0
Requires:	libSDL1.2
Requires:	libSDL_image1.2
Requires:	libSDL_mixer1.2
Requires:	libSDL_ttf2.0
Requires:	fillets-ng-data

%description
When strange things occur on the ocean floor, it's up to the two top fish detectives to push, drop, and swim to the bottom of it.  
Based upon the game open sourced by ALTAR Interactive in 2004, fish fillets ng raises the bar with crazy environments, many more languages, and greater extensibility.  
The game can be quite difficult, but don't worry, a player can redo a level as many times as they need to, and with savepoints and undos aplenty, there is nothing lost
for trying again.  Good Luck!

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%configure --with-lua=/usr/lib 
%make  


%install
%makeinstall bindir=%{buildroot}%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

install -m 644 %SOURCE3 %{buildroot}/%{_liconsdir}/%{name}.png
install -m 644 %SOURCE2 %{buildroot}/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE1 %{buildroot}/%{_miconsdir}/%{name}.png

cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Fish Fillets NG
Comment=Fishy Puzzle Game
Exec=%{binname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;X-PCLinuxOS-MoreApplications-Games-Puzzles
Encoding=UTF-8
EOF



chmod 755 %{buildroot}%{_gamesbindir}/%{binname}




%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}


%postun
/sbin/ldconfig
%{clean_menus}


%files
%defattr(-,root,root)
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop
%{_gamesbindir}/%{binname}
%{_mandir}/man6/fillets.6.bz2

%changelog
*Tue Jan 8 2008 Rifter <rifter4444@gmail.com> 4.0cvs20080103-1pclos2007
- 0.8.0  Initial release of fish fillets ng for pclinuxos

